Bug 761558 - Correctly import "center across selection" alignment
Correctly import "center across selection" alignment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-08 10:41 EST by Orion Poplawski
Modified: 2011-12-23 17:22 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.4.2-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-23 17:22:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 42958 None None None Never

  None (edit)
Description Orion Poplawski 2011-12-08 10:41:58 EST
Description of problem:

There is a regression in libreoffice 3.4.* from 3.3 that does not correctly import "center across selection" aligment cells from .xls files.  This has been fixed upstream in libreoffice-3-5 and master here:

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=561f082041c5ede44d9443e534761a79953aedad

The attached patch is a backport to 3.4, which simply involves a shift of 9 lines in the patch.  I've tested it on my system it works.  Could this please get added to the F16 package so any updates would contain it?  I could do the commit as well if you'd like.  Thanks!

Version-Release number of selected component (if applicable):
libreoffice-calc-3.4.4.2-5.fc16.i686
Comment 1 Caolan McNamara 2011-12-09 07:08:22 EST
sure
Comment 2 Fedora Update System 2011-12-15 15:43:48 EST
libreoffice-3.4.4.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.4.2-6.fc16
Comment 3 Fedora Update System 2011-12-16 14:59:29 EST
Package libreoffice-3.4.4.2-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.4.2-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17186/libreoffice-3.4.4.2-6.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-12-23 17:22:36 EST
libreoffice-3.4.4.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.